package videoconference.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import com.evolgence.myspear.R;
import com.flashphoner.fpwcsapi.Flashphoner;
import com.flashphoner.fpwcsapi.constraints.AudioConstraints;
import com.flashphoner.fpwcsapi.session.CallOptions;
import com.flashphoner.fpwcsapi.session.Session;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.product.download.Utils.LogUtil;

import org.webrtc.MediaConstraints;

import java.util.Map;

import common.utils.MyUtilities;

public class TestSipPhoneActivity extends AppCompatActivity {








    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_test_sip_phone);



        Flashphoner.init(this);



        ((Button)findViewById(R.id.btn_call)).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                try {

                    Intent onLineIntent = new Intent(getApplicationContext(), SipService.class);
                    onLineIntent.setAction(PortSipService.ACTION_SIP_REGISTRATION);
                    onLineIntent.putExtra("bn", "12345");
                    if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
                        startForegroundService(onLineIntent);
                    } else {
                        startService(onLineIntent);
                    }

                        finish();
                }catch (Exception e){
                    LogUtil.printExceptionMsg(e);
                }

            }
        });



        ((Button)findViewById(R.id.btn_end)).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                try {
                    Intent onLineIntent = new Intent(getApplicationContext(), SipService.class);
                    stopService(onLineIntent);

                }catch (Exception e){
                    LogUtil.printExceptionMsg(e);
                }
            }
        });






    }








}
